Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.renaiss.xyz/v2/marketplace
const options = {method: 'GET'}; fetch('https://api.renaiss.xyz/v2/marketplace', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://api.renaiss.xyz/v2/marketplace" response = requests.get(url) print(response.text)
{ "collection": [ { "tokenId": "<string>", "name": "<string>", "ownerAddress": "<string>", "askPriceInUSDT": "<string>", "frontImageUrl": "<string>", "rixPriceInUsd": "<string>", "rixPriceUpdatedAt": "<string>" } ], "pagination": { "total": 123, "limit": 123, "offset": 123, "hasMore": true } }
{ "error": "Invalid marketplace request", "code": "WRONG_REQUEST_PARAMS" }
{ "error": "Invalid authentication credential", "code": "API_AUTH_INVALID_CREDENTIAL" }
{ "error": "Credential is not allowed by this policy", "code": "API_AUTH_CREDENTIAL_NOT_ALLOWED" }
{ "code": "SUBGRAPH_RATE_LIMITED", "error": "<string>" }
Internal Server Error
{ "error": "Internal server error", "code": "SUBGRAPH_NETWORK_ERROR" }
按筛选条件浏览公开市场,查看卡牌的展示图片和价格。
500
COLLECTION_QUERY_FAILED
公开查询
400
WRONG_REQUEST_PARAMS
error
Invalid marketplace request
401
API_AUTH_INVALID_CREDENTIAL
Invalid authentication credential
403
API_AUTH_CREDENTIAL_NOT_ALLOWED
Credential is not allowed by this policy
429
SUBGRAPH_RATE_LIMITED
Subgraph rate limited (429)
Retry-After
API_AUTH_ERROR
Internal server error
FUNCTION_ERROR
text/plain
ALL_COLLECTIBLES_QUERY_FAILED
SUBGRAPH_QUERY_FAILED
502
SUBGRAPH_NETWORK_ERROR
SUBGRAPH_REQUEST_FAILED
SUBGRAPH_QUERY_ERROR
3 - 150
POKEMON
ONE_PIECE
asc
desc
1 <= x <= 100
x >= 0
将 sortBy 设为 rixPriceInUsd,即可按 RIX 估值(FMV)排序。
sortBy
rixPriceInUsd
listDate
mintDate
name
year
priceRange
askPriceInUSDT
成功
Show child attributes